aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--cleardesc.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/cleardesc.sh b/cleardesc.sh
new file mode 100644
index 0000000..9ac0997
--- /dev/null
+++ b/cleardesc.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+REALPATH=$(realpath $1)
+
+[ ! -d "$REALPATH" ] && exit 1
+
+for f in $REALPATH/*.git/description; do
+ CONTENT=$(cat $f)
+ [ "$CONTENT" = "Unnamed repository; edit this file 'description' to name the repository." ] && echo > $f
+done
+